#!/usr/bin/python3
# -*- coding: iso-8859-1 -*-

#Control ELK-BLEDOM
#SETA43
#seta43.duckdns.org

#   sudo apt-get install python-wxtools
#   pip install -U wxPython
#   apt install python3
#   apt install python3-pip

#sudo apt-get install python-wxtools
#pip install -U wxPython

import wx
import os
import sys


class MyApp(wx.App):
    def OnInit(self):
        frame = MyFrame("ELK-BLEDOM", (50, 60), (470, 230))
        frame.Show()
        self.SetTopWindow(frame)
        return True

class MyFrame(wx.Frame):
    def __init__(self, title, pos, size):
        wx.Frame.__init__(self, None, -1, title, pos, size)

        self.botonConect = wx.Button(self,-1,label="Valor LED",size=(100,26),pos=(330,100))
        self.botonExit = wx.Button(self,-1,label="EXIT",size=(100,26),pos=(330,150))
        self.botonDir = wx.Button(self,-1,label="GetDir",size=(60,26),pos=(370,10))
        
        self.etiqueta = wx.StaticText(self,-1,label="ELK-BLEDOM         seta43.duckdns.org ",pos=(10,10))
        self.dato = wx.TextCtrl(self, -1,"-",size=(200, 26),pos=(10,50),style=wx.TE_READONLY)
        font1 = wx.Font(11, wx.MODERN, wx.NORMAL, wx.BOLD, False, u'Consolas')
        self.dato.SetFont(font1)
        self.dato.SetForegroundColour(wx.Colour(255,0,0))

        self.botonConect.Bind (wx.EVT_BUTTON, self.ExeBotonData)
        self.botonExit.Bind (wx.EVT_BUTTON, self.ExeBotonExit)
        self.botonDir.Bind (wx.EVT_BUTTON, self.ExeBotonDir)

        self.MiTexto = wx.TextCtrl(self,value="---", pos=(300, 50), size=(140,26),style=wx.TE_READONLY )
        
        try:
            file1 = open("blue.dat", "r+")
        except:
            wx.MessageBox('No hay dispositivo\nBuscalo con el botn\nGetDir ', 'GET DIRECCION', wx.OK | wx.ICON_INFORMATION)
        else:
            direccion=file1.read()
            self.dato.SetValue(direccion)
            file1.close()
        
        self.BarraR = wx.Slider(self, 100, 25, 1, 255, pos=(10, 100),size=(255, -1),style=wx.SL_HORIZONTAL | wx.SL_AUTOTICKS )
        self.BarraV = wx.Slider(self, 100, 25, 1, 255, pos=(10, 125),size=(255, -1),style=wx.SL_HORIZONTAL | wx.SL_AUTOTICKS )
        self.BarraA = wx.Slider(self, 100, 25, 1, 255, pos=(10, 150),size=(255, -1),style=wx.SL_HORIZONTAL | wx.SL_AUTOTICKS )
        
        self.BarraR.Bind (wx.EVT_SCROLL, self.ExeCambio)
        self.BarraV.Bind (wx.EVT_SCROLL, self.ExeCambio)
        self.BarraA.Bind (wx.EVT_SCROLL, self.ExeCambio)

        self.erojo = wx.StaticText(self,-1,label="R",pos=(1,100))
        self.everde = wx.StaticText(self,-1,label="V",pos=(1,125))
        self.eazul = wx.StaticText(self,-1,label="A",pos=(1,150))
    
    def ExeBotonDir(self,event):
        cmd= './bscan '
        wx.MessageBox('Obteniendo la direccin\nEspera 5 segundos\nReinicia programa', 'GET DIRECCION', wx.OK | wx.ICON_INFORMATION)
        os.system(cmd)
        print ("Evento Dir")
        self.Close()
    
    def ExeCambio(self,event):
        rojo=self.BarraR.GetValue()
        verde=self.BarraV.GetValue()
        azul=self.BarraA.GetValue()
        miValor= 'R' +str(rojo)+' G' + str(verde)+' B' + str(azul)
        self.MiTexto.SetValue(miValor)
       
    def ExeBotonData(self,event):
        print ("Evento Send Data")
        rojo=self.BarraR.GetValue()
        verde=self.BarraV.GetValue()
        azul=self.BarraA.GetValue()
        cmd= './luces5 ' + str(rojo)+' ' + str(verde)+' ' + str(azul)
        os.system(cmd)

    def ExeBotonExit(self,event):

        print ("Programa finalizado")
        self.Close()



if __name__ == '__main__':
    app = MyApp(False)
    app.MainLoop()

